# Interface methods for submodule: PointSetToPointSetMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: PointSetToPointSetMetric
class PointSetToPointSetMetricProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

	def GetValue(self, parameters) -> Sequence[float]:
		""""""
		...

	def GetNumberOfValues(self) -> int:
		""""""
		...

	def GetDerivative(self, parameters, derivative) -> None:
		""""""
		...

	def SetFixedPointSet(self, _arg) -> None:
		""""""
		...

	def GetFixedPointSet(self):
		""""""
		...

	def SetMovingPointSet(self, _arg) -> None:
		""""""
		...

	def GetMovingPointSet(self):
		""""""
		...

	def SetTransform(self, _arg) -> None:
		""""""
		...

	def GetModifiableTransform(self):
		""""""
		...

	def GetTransform(self):
		""""""
		...

	def SetTransformParameters(self, parameters) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

